Get live soccer scores

GET/v1/soccer/scores/live

Real-time scores across every league you subscribe to. Period (1H/HT/2H/ET/PK), minute, score, and last event.

Code samples

# Get live soccer scores across all subscribed leagues
curl "https://api.sportapi.io/v1/soccer/scores/live" \
  -H "Authorization: Bearer $API_KEY"

{
  "fixtures": [{
    "fixture_id": "epl_2024_arsenal_chelsea",
    "league": "epl", "status": "in_progress",
    "minute": 78, "period": "second_half",
    "home": {"team": "Arsenal", "score": 2},
    "away": {"team": "Chelsea", "score": 1},
    "last_event": "Goal — B. Saka 76' (assist M. Ødegaard)"
  }]
}

Query parameters

ParameterTypeRequiredDescription
leaguestringNoFilter by league (e.g. epl)
teamstringNoFilter by club

Response

{
  "fixtures": [{
    "fixture_id": "epl_2024_arsenal_chelsea",
    "league": "epl",
    "status": "in_progress",
    "minute": 78, "period": "second_half",
    "home": { "team": "Arsenal", "score": 2 },
    "away": { "team": "Chelsea", "score": 1 },
    "last_event": "Goal — B. Saka 76' (assist M. Ødegaard)"
  }]
}

Error responses

StatusCodeDescription
401unauthorizedMissing or invalid API key
403tier_insufficientYour plan tier doesn't include this resource
429rate_limitedExceeded rate limit; honor Retry-After
500internal_errorServer error; retry with exponential backoff